@REM Licensed Materials-Property of IBM, 5697-EAS
@REM (C)Copyright IBM Corp 1998
@REM (C)Copyright Tivoli Systems, an IBM Co 1998
@REM All rights reserved
@REM US Government Users Restricted Rights
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp

@REM Licensed Materials-Property of IBM, 5697-EAS
@REM (C)Copyright IBM Corp 1999
@REM (C)Copyright Tivoli Systems, an IBM Co 1999
@REM All rights reserved
@REM US Government Users Restricted Rights:
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp

@REM Licensed Materials-Property of IBM, 5697-EAS
@REM (C)Copyright IBM Corp 2000
@REM (C)Copyright Tivoli Systems, an IBM Co 2000
@REM All rights reserved
@REM US Government Users Restricted Rights:
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp

@REM Licensed Materials-Property of IBM, 5697-EAS
@REM (C)Copyright IBM Corp 2001
@REM (C)Copyright Tivoli Systems, an IBM Co 2001
@REM All rights reserved
@REM US Government Users Restricted Rights
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp
@REM 
@REM Licensed Materials-Property of IBM, 5698-TEC
@REM (C)Copyright IBM Corp 2002
@REM (C)Copyright Tivoli Systems, an IBM Co 2002
@REM All rights reserved
@REM US Government Users Restricted Rights
@REM Use, duplication, or disclosure restricted
@REM by GSA ADP Schedule Contract with IBM Corp




@ECHO OFF
@REM This script creates the NetView groups in the console.

set HOST=""
set USER=""
set PAWD=""

:Loop

IF "%1"=="" GOTO Noargs

set HOST=%1
SHIFT

IF "%1"=="" GOTO Usage

set USER=%1
SHIFT

IF "%1"=="" GOTO Usage

set PAWD=%1
SHIFT

GOTO Continue

:Usage

@ECHO Usage
@ECHO   wcrtnvgroups.cmd ^[^<host^> ^<user^> ^<pwrd^>^]
@ECHO Where
@ECHO   ^<host^>        is the console server hostname
@ECHO   ^<user^>        is your console user name
@ECHO   ^<pwrd^>        is your console password

GOTO Theend

:Continue

call wconsole -crteg -h %HOST% -u %USER% -p %PAWD% -n "OpenNetView"  -D "Open NetView Events"
call wconsole -crteg -h %HOST% -u %USER% -p %PAWD% -n "OtherNetView" -D "Other NetView Events"
call wconsole -crteg -h %HOST% -u %USER% -p %PAWD% -n "ServiceUnavailable" -D "Service Unavailable Events"

call wconsole -addegflt -h %HOST% -u %USER% -p %PAWD% -E "OpenNetView"  -n "OpenEvents"  -D "Open NetView Events" -s "(class LIKE 'TEC_ITS_%%%%') AND (status = 'OPEN')"
call wconsole -addegflt -h %HOST% -u %USER% -p %PAWD% -E "OtherNetView" -n "OtherEvents" -D "Other NetView Events" -s "(class LIKE 'TEC_ITS_%%%%') AND (status <> 'OPEN')"
call wconsole -addegflt -h %HOST% -u %USER% -p %PAWD% -E "ServiceUnavailable" -n "ServiceUnavailableEvents" -D "Service Unavailable Events" -s "(class = 'TEC_ITS_Service_Unavailable ') AND (status <> 'OPEN')"
call wconsole -assigneg -h %HOST% -u %USER% -p %PAWD% -C "AdministrativeConsole" -E "OpenNetView" -r admin:senior:super:user
call wconsole -assigneg -h %HOST% -u %USER% -p %PAWD% -C "AdministrativeConsole" -E "OtherNetView" -r admin:senior:super:user
call wconsole -assigneg -h %HOST% -u %USER% -p %PAWD% -C "AdministrativeConsole" -E "ServiceUnavailable" -r admin:senior:super:user
GOTO Theend

:Noargs

call wconsole -crteg -n "OpenNetView"  -D "Open NetView Events"
call wconsole -crteg -n "OtherNetView" -D "Other NetView Events"
call wconsole -crteg -n "ServiceUnavailable" -D "Service Unavailable Events"

call wconsole -addegflt -E "OpenNetView"  -n "OpenEvents"  -D "Open NetView Events" -s "(class LIKE 'TEC_ITS_%%%%') AND (status = 'OPEN')"
call wconsole -addegflt -E "OtherNetView" -n "OtherEvents" -D "Other NetView Events" -s "(class LIKE 'TEC_ITS_%%%%') AND (status <> 'OPEN')"
call wconsole -addegflt -E "ServiceUnavailable" -n "ServiceUnavailableEvents" -D "Service Unavailable Events" -s "(class = 'TEC_ITS_Service_Unavailable ') AND (status <> 'OPEN')"
call wconsole -assigneg -C "AdministrativeConsole" -E "OpenNetView" -r admin:senior:super:user
call wconsole -assigneg -C "AdministrativeConsole" -E "OtherNetView" -r admin:senior:super:user
call wconsole -assigneg -C "AdministrativeConsole" -E "ServiceUnavailable" -r admin:senior:super:user
:Theend


